---
title: "Send a test webhook"
locale: en
url: https://tlg.builera.app/en/docs/reference/rest/webhooks.test
verified: 2026-10-24
app_version: "2.0"
generated: true
---

# Send a test webhook

Send a signed sample event (test: true) right now and return the receiver's status code, latency, error and the start of its response, plus whether a real event like it would pass the filters. Works while paused / disabled.

Send a signed sample event (test: true) right now and return the receiver's status code, latency, error and the start of its response, plus whether a real event like it would pass the filters. Works while paused / disabled.

## Overview

| Name | Value |
| --- | --- |
| Code | `webhooks.test` |
| Scope needed | `webhooks.manage` |
| Risk | Write |
| May need confirmation | No |
| Runs as | Answers right away |
| Needs `Idempotency-Key` | No |
| Member roles allowed | `owner`, `manager`, `agent` |
| In the app | Settings → Webhooks |

## Input fields

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `id` | `uuid` | Yes |   |
| `eventType` | `text` | No | Default: the first subscribed type. |
| `contentMode` | `"full" \| "thin" \| "none"` | No |   |

## Example request

```bash
curl -X POST https://tlg.builera.app/api/public/v2/ops/webhooks.test \
  -H "Authorization: Bearer $TELEGRAM_AUTO_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"id":"00000000-0000-0000-0000-000000000000"}'
```

## Output fields (`data`)

| Field | Type | Required |
| --- | --- | --- |
| `ready` | `true/false` | Yes |
| `delivery_id` | `text` | Yes |
| `webhook_id_header` | `text` | Yes |
| `delivered` | `true/false` | Yes |
| `status` | `text` | Yes |
| `status_code` | `null \| number` | Yes |
| `duration_ms` | `null \| number` | Yes |
| `error_code` | `null \| text` | Yes |
| `error_text` | `null \| text` | Yes |
| `response_snippet` | `null \| text` | Yes |
| `key_ids` | `text[]` | Yes |
| `ok` | `true` | Yes |
| `event_type` | `text` | Yes |
| `subscribed` | `true/false` | Yes |
| `filter` | `object` | Yes |

## Example answer

```json
{
  "data": {
    "ready": true,
    "delivery_id": "00000000-0000-4000-8000-000000000000",
    "webhook_id_header": "text",
    "delivered": true,
    "status": "text",
    "status_code": 1,
    "duration_ms": 1,
    "error_code": "text",
    "error_text": "text",
    "response_snippet": "text",
    "key_ids": [
      "text"
    ],
    "ok": true,
    "event_type": "text",
    "subscribed": true,
    "filter": {
      "match": true,
      "text": "text"
    }
  }
}
```

## Using it over MCP

Tool `webhooks_test` is listed on the profiles: Full (`full`). On other profiles, find it with `tools_search` and run it with `tools_run`.
